Bug 251794 - iasl-20061109-2.fc7 seg fault - bad build?
iasl-20061109-2.fc7 seg fault - bad build?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iasl (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 05:54 EDT by Osma Ahvenlampi
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 20061109-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 15:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ACPI DSDT file (36.08 KB, application/octet-stream)
2007-08-11 05:58 EDT, Osma Ahvenlampi
no flags Details

  None (edit)
Description Osma Ahvenlampi 2007-08-11 05:54:18 EDT
'cp /proc/acpi/dsdt dsdt.asl; iasl -d dsdt.asl' consistently seg faults on my
machine. Yet when I rebuild the package from src.rpm, it functions correctly.

[oa@libretto tmp]$ rpm -q iasl
iasl-20061109-2.fc7

[oa@libretto tmp]$ rpm -V iasl

[oa@libretto tmp]$ sudo cp /proc/acpi/dsdt dsdt.asl

[oa@libretto tmp]$ iasl -d dsdt.asl 

Intel ACPI Component Architecture
AML Disassembler version 20061109 [Mar 10 2007]
Copyright (C) 2000 - 2006 Intel Corporation
Supports ACPI Specification Revision 3.0a

Segmentation fault

[oa@libretto tmp]$ gdb iasl GNU gdb Red Hat Linux (6.6-15.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) run -d dsdt.asl
Starting program: /usr/bin/iasl -d dsdt.asl

Intel ACPI Component Architecture
AML Disassembler version 20061109 [Mar 10 2007]
Copyright (C) 2000 - 2006 Intel Corporation
Supports ACPI Specification Revision 3.0a


Program received signal SIGSEGV, Segmentation fault.
0x49efbbcc in memcpy () from /lib/libc.so.6
(gdb) bt
#0  0x49efbbcc in memcpy () from /lib/libc.so.6
#1  0x080883c0 in AcpiTbResizeRootTableList ()
    at /usr/include/bits/string3.h:51
#2  0x08059d36 in main (argc=Cannot access memory at address 0x9
) at aslmain.c:798
#3  0x49ea1f70 in __libc_start_main () from /lib/libc.so.6
#4  0x08048eb1 in _start ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y

[oa@libretto tmp]$ valgrind iasl -d dsdt.asl 
==4892== Memcheck, a memory error detector.
==4892== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==4892== Using LibVEX rev 1732, a library for dynamic binary translation.
==4892== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==4892== Using valgrind-3.2.3, a dynamic binary instrumentation framework.
==4892== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==4892== For more details, rerun with: -v
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77B1B: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E708DE: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77B23: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E708DE: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77C65: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E708DE: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77F5B: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E708DE: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E78430: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E708DE: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77B1B: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E70A85: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77B23: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E70A85: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)
==4892== 
==4892== Conditional jump or move depends on uninitialised value(s)
==4892==    at 0x49E77C65: _dl_relocate_object (in /lib/ld-2.6.so)
==4892==    by 0x49E70A85: dl_main (in /lib/ld-2.6.so)
==4892==    by 0x49E80DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6E2B7: _dl_start (in /lib/ld-2.6.so)
==4892==    by 0x49E6D816: (within /lib/ld-2.6.so)

Intel ACPI Component Architecture
AML Disassembler version 20061109 [Mar 10 2007]
Copyright (C) 2000 - 2006 Intel Corporation
Supports ACPI Specification Revision 3.0a

Loading Acpi table from file dsdt.asl
Acpi table [DSDT] successfully installed and loaded
Pass 1 parse of [DSDT]
Pass 2 parse of [DSDT]
Parsing Deferred Opcodes (Methods/Buffers/Packages/Regions)
..................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
Parsing completed
Disassembly completed, written to "dsdt.dsl"
==4892== 
==4892== ERROR SUMMARY: 12 errors from 8 contexts (suppressed: 0 from 0)
==4892== malloc/free: in use at exit: 156,071 bytes in 3,196 blocks.
==4892== malloc/free: 15,325 allocs, 12,129 frees, 981,869 bytes allocated.
==4892== For counts of detected errors, rerun with: -v
==4892== searching for pointers to 3,196 not-freed blocks.
==4892== checked 212,096 bytes.
==4892== 
==4892== LEAK SUMMARY:
==4892==    definitely lost: 7,917 bytes in 162 blocks.
==4892==      possibly lost: 0 bytes in 0 blocks.
==4892==    still reachable: 148,154 bytes in 3,034 blocks.
==4892==         suppressed: 0 bytes in 0 blocks.
==4892== Rerun with --leak-check=full to see details of leaked memory.

[oa@libretto tmp]$ sudo rpm -Uvh /var/tmp/rpm/RPMS/i386/iasl-20061109-2.i386.rpm
--oldpackage
Preparing...                ########################################### [100%]
   1:iasl                   ########################################### [100%]

[oa@libretto tmp]$ iasl -d dsdt.asl 
Intel ACPI Component Architecture
AML Disassembler version 20061109 [Aug 11 2007]
Copyright (C) 2000 - 2006 Intel Corporation
Supports ACPI Specification Revision 3.0a

Loading Acpi table from file dsdt.asl
Acpi table [DSDT] successfully installed and loaded
Pass 1 parse of [DSDT]
Pass 2 parse of [DSDT]
Parsing Deferred Opcodes (Methods/Buffers/Packages/Regions)
..................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
Parsing completed
Disassembly completed, written to "dsdt.dsl"
Comment 1 Osma Ahvenlampi 2007-08-11 05:58:08 EDT
Created attachment 161113 [details]
ACPI DSDT file

This is the DSDT on which iasl seg faults, but in fact it seems to seg fault
without any options as well.
Comment 2 Till Maas 2007-08-11 06:48:13 EDT
There should be a new build in Updates-Testing and soon in Updates.
Comment 3 Fedora Update System 2007-08-13 13:01:32 EDT
iasl-20061109-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-08-15 15:46:14 EDT
iasl-20061109-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.